import { HttpClient, HttpHeaders } from '@angular/common/http';
import { Injectable } from '@angular/core';

@Injectable({
  providedIn: 'root'
})
export class ApiService {

  constructor(private http: HttpClient) { }
   
  url = "http://localhost:8080/api";

  getFolders(){
    const headers = new HttpHeaders().set('Content-Type', 'application/json');
      return this.http.get(this.url + "/getFolder", {headers:headers})
  }

  getFoldersImages(folder : string){
    return this.http.get(this.url + "/getFolder/images?name="+folder)
  }

  getImages(directory : string){
    return this.http.get(this.url + "/imageName?directory="+directory)
  }

  getFiles(directory : string){
    return this.http.get(this.url + "/files?directory="+directory)
  }

  addFileSetting(name : string, state : string, identifiant : string){
    return this.http.get(this.url + "/report?name="+name+"&state="+state+"&identifiant="+identifiant);
  }

  getFileSetting(directory : string){
    return this.http.get(this.url + "/getSetting?name="+directory);
  }

  loginOrAdd(object : any){
    const body = object;
    const headers = new HttpHeaders().set('Content-Type', 'application/json');
    return this.http.post(this.url + "/addUser", body, {headers: headers});
  }
}
